Problem with compiling PerlMagick.

Questions and postings pertaining to the development of ImageMagick, feature enhancements, and ImageMagick internals. ImageMagick source code and algorithms are discussed here. Usage questions which are too arcane for the normal user list should also be posted here.
Post Reply
lleche
Posts: 10
Joined: 2012-11-25T14:50:18-07:00
Authentication code: 6789

Problem with compiling PerlMagick.

Post by lleche » 2012-12-20T11:50:29-07:00

I am trying to compile PerlMagick from ImageMagick version 6.8.1.0, on MacOSX 10.7.5.
The corresponding ImageMagick version is installed via MacPorts, without much issues. 'convert -version' command seems to report a successfull installation.
But lines 165, 167 and 168 of Makefile.PL file in PerlMagick directory requires -lMagickCore-Q16 library, which is not in the installed ImageMagick libraries.
No clue how I can overcome this issue.
Any advice?

Regards.

Landry

User avatar
magick
Site Admin
Posts: 11100
Joined: 2003-05-31T11:32:55-07:00

Re: Problem with compiling PerlMagick.

Post by magick » 2012-12-20T12:22:18-07:00

Edit Makefile.PL and try -lMagickCore rather than -lMagickCore-Q16. The decoration of the libraries have changed recently to support multiple quantum depths of ImageMagick in the same directory structure (e.g. libMagickCore-Q16, libMagickCore-Q16HDRI, etc.).

lleche
Posts: 10
Joined: 2012-11-25T14:50:18-07:00
Authentication code: 6789

Re: Problem with compiling PerlMagick.

Post by lleche » 2012-12-20T22:57:42-07:00

Thanks. The lib directory contains libMagickCore-Q16HDRI, I edited the lines accordingly and this worked perfectly.

Post Reply